import unittest

from haocrowd.core.base import SimulationBase


class TestHaoCrowd(unittest.TestCase):
    def test_haocrowd_base(self):
        class TDBDSim(SimulationBase):
            def run(self) -> int:
                return 123

        sim = TDBDSim()
        self.assertEqual(sim.run(), 123)


if __name__ == "__main__":
    unittest.main()
